
#include <TextFinder.h>
#include <SPI.h>
#include <WiFi.h>
char ssid[] = "xxx";       
char pass[] = "xxx";   
int keyIndex = 0;           
int status = WL_IDLE_STATUS;

WiFiClient client;
TextFinder finder(client);
char server[] = "www.marcopucci.it";
unsigned long lastConnectionTime = 0;           
boolean lastConnected = false;                  
const unsigned long postingInterval = 1*1000;  

void setup() {
  Serial.begin(9600); 
  while (!Serial) {
    ; 
  }
   if (WiFi.status() == WL_NO_SHIELD) {
    Serial.println("WiFi shield not present"); 
    while(true);
  } 
    while ( status != WL_CONNECTED) { 
    Serial.print("Attempting to connect to SSID: ");
    Serial.println(ssid);
    status = WiFi.begin(ssid, pass);
    delay(7000);
  } 
 }

void loop() {
    while (client.available()) {
    char c = client.read();
    Serial.write(c);
  }
  if (!client.connected() && lastConnected) {
    Serial.println();
    Serial.println("disconnecting.");
    client.stop();
  }
  if(!client.connected() && (millis() - lastConnectionTime > postingInterval)) {
    httpRequest();
     Serial.println("dato presente sul sito");   
          finder.find("OK>");
          float value = finder.getFloat();
          Serial.println(value); 
      }
  
  lastConnected = client.connected();
}


void httpRequest() {
   client.stop();
   if (client.connect(server, 80)) {
    Serial.println("connecting...");
    client.println("GET /data.txt HTTP/1.1");
    client.println("Host: www.marcopucci.it");
     client.println("Connection: close");
    client.println();
    lastConnectionTime = millis();
  } 
  else {
    Serial.println("connection failed");
    Serial.println("disconnecting.");
    client.stop();
  }
}







